<?php

/**
 * @table CertificationQueue
 */
class CertificationQueue {
	
	/**
	 * @id
	 */
    private $id;
 
    /**
     * @column user_id
     */
    private $userId;
    
    /**
     * @column site_id
     */
    private $siteId;
    
    /**
     * @column time_limit
     */
    private $timeLimit;
    
    /**
     * @column register_code
     */
    private $registerCode;
    

    function getId() {
    	return $this->id;
    }
    function setId($id) {
    	$this->id = $id;
    }
    function getUserId() {
    	return $this->userId;
    }
    function setUserId($userId) {
    	$this->userId = strtolower($userId);
    }
    
    function getSiteId() {
    	return $this->siteId;
    }
    function setSiteId($siteId) {
    	$this->siteId = $siteId;
    }
    function getTimeLimit() {
    	return $this->timeLimit;
    }
    function setTimeLimit($timeLimit) {
    	$this->timeLimit = $timeLimit;
    }
    function getRegisterCode() {
    	return $this->registerCode;
    }
    function setRegisterCode($registerCode) {
    	$this->registerCode = $registerCode;
    }
}
?>